## org.apache.poi.hdgf.streams
Class StreamStore

    java.lang.Object
      org.apache.poi.hdgf.streams.StreamStore

Direct Known Subclasses:
  CompressedStreamStore

    public class StreamStore

extends java.lang.Object

Holds the representation of the stream on-disk, and handles de-compressing it as required. In future, may also handle writing it back out again

Constructor Summary
`protected` `StreamStore(byte[] data, int offset, int length)` Creates a new, non compressed Stream Store

Method Summary
`byte[]` `_getContents()`
`protected void` `copyBlockHeaderToContents()`
`protected byte[]` `getContents()`
`protected void` `prependContentsWith(byte[] b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamStore

    protected StreamStore(byte[] data,
                          int offset,
                          int length)

  Creates a new, non compressed Stream Store

Method Detail

### prependContentsWith

    protected void prependContentsWith(byte[] b)

### copyBlockHeaderToContents

    protected void copyBlockHeaderToContents()

### getContents

    protected byte[] getContents()

### _getContents

    public byte[] _getContents()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.